Skip to main content

Update source (full)

PUT 

/sources/v1/:id

Use this API to update a source in SailPoint Identity Security, using a full object representation. This means that when you use this API, it completely replaces the existing source configuration.

These fields are immutable, so they cannot be changed:

  • id
  • type
  • authoritative
  • connector
  • connectorClass
  • passwordPolicies

Attempts to modify these fields will result in a 400 error.

Request​

Responses​

Updated Source object. Any passwords will only show the the encrypted cipher-text so that they aren't decryptable in SailPoint Identity Security cloud-based services, per SailPoint Identity Security security design.